# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name = 'oneaccess'
  s.version = '1.3.1'
  s.date = '2019-05-13'
  s.summary = 'ONEAccess API wrapper'
  s.description = 'Easily communicate with ONEAccess API'
  s.homepage = 'https://github.com/AlphaExchange/oneaccess-rb'
  s.authors = ['Alex Correia Santos']
  s.email = ['alex@alpha-exchange.com']
  s.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.require_paths = ['lib']
  s.license = 'MIT'

  s.required_ruby_version = '>= 2.4'

  s.add_development_dependency 'bundler', '~> 1.12'
  s.add_development_dependency 'byebug'
  s.add_development_dependency 'rake', '~> 11.3'
  s.add_development_dependency 'rspec', '~> 3.6'
  s.add_development_dependency 'rspec-its', '~> 1.2'
  s.add_development_dependency 'simplecov'
  s.add_development_dependency 'simplecov-console'
  s.add_development_dependency 'va-ruby-style', '0.0.1'
  s.add_development_dependency 'webmock', '~> 3.0.1'

  s.add_runtime_dependency 'faraday', '~> 0.13'
  s.add_runtime_dependency 'multi_json', '~> 1.12.0'
  s.add_runtime_dependency 'representable', '~> 3.0.4'
end
